Remove an entry
curl --request DELETE \
--url https://api.gleap.io/v3/pipeline-entries/{entryId} \
--header 'Authorization: Bearer <token>' \
--header 'project: <project>'import requests
url = "https://api.gleap.io/v3/pipeline-entries/{entryId}"
headers = {
"project": "<project>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {project: '<project>', Authorization: 'Bearer <token>'}
};
fetch('https://api.gleap.io/v3/pipeline-entries/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedAt": "<string>",
"createdAt": "<string>",
"recordId": {
"isValid": {},
"createFromHexString": {},
"createFromTime": {},
"generate": {},
"cacheHexString": "<unknown>"
},
"pipeline": {
"isValid": {},
"createFromHexString": {},
"createFromTime": {},
"generate": {},
"cacheHexString": "<unknown>"
},
"project": {
"isValid": {},
"createFromHexString": {},
"createFromTime": {},
"generate": {},
"cacheHexString": "<unknown>"
},
"values": "<unknown>",
"_id": "<string>",
"laneChangedAt": "2023-11-07T05:31:56Z",
"recordSnapshot": {
"subtitle": "<string>",
"plan": "<string>",
"externalId": "<string>",
"value": 123,
"name": "<string>"
},
"laneId": "<string>",
"lexorank": "<string>",
"createdBy": {
"isValid": {},
"createFromHexString": {},
"createFromTime": {},
"generate": {},
"cacheHexString": "<unknown>"
}
}Pipeline entries
Remove an entry
Remove an entry from its pipeline. Only the pipeline membership is deleted — the underlying company or contact is untouched.
DELETE
/
pipeline-entries
/
{entryId}
Remove an entry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
200 - application/json
Ok
Generic types for Document:
- T - the type of _id
- TQueryHelpers - Object with any helpers that should be mixed into the Query type
- DocType - the type of the actual Document created
Show child attributes
Show child attributes
Available options:
COMPANY, CONTACT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I